com.mockobjects.constraint

## Class IsGreaterThan

- java.lang.Object
- - com.mockobjects.constraint.IsGreaterThan

All Implemented Interfaces:
  Constraint

    public class IsGreaterThan
    extends java.lang.Object
    implements Constraint

Is the value greater than another `Comparable` value?

### Constructor Summary

Constructors
Constructor and Description
`IsGreaterThan(java.lang.Comparable o)`

### Method Summary

Methods
`boolean` `eval(java.lang.Object arg)` Evaluates the constraint for argument o.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IsGreaterThan

    public IsGreaterThan(java.lang.Comparable o)

### Method Detail

#### eval

    public boolean eval(java.lang.Object arg)

Description copied from interface: `Constraint`
Evaluates the constraint for argument o.

Specified by:
  `eval` in interface `Constraint`
Returns:
  `true` if o meets the constraint, `false` if it does not.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`